#pragma once

#include "xmlframe.h"

class CXmlModel : public CXmlFrame
{
public:	
	CXmlModel(CXmlUi* pXmlUi=NULL, CXmlLayout* pParent=NULL);
	virtual ~CXmlModel();

	virtual	void				LoadNodeAttribute(const DOMNamedNodeMap* nodeMap);
	virtual	void				LoadNodeElement(const DOMNode* node, const char* nodeName);
	virtual	void				Inherit(CXmlLayout* pXmlLayout);

public:
	string						m_file;
	CXmlColor					m_fogColor;
	float						m_scale;
	float						m_fogNear;
	float						m_fogFar;
};